## qt6-positioning 6.7.2

=== debian/changelog ===
qt6-positioning (6.7.2-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Fix dependencies for the private symbols.

 -- Patrick Franz <deltaone@debian.org>  Sun, 03 Nov 2024 19:16:12 +0100

qt6-positioning (6.7.2-3) unstable; urgency=medium

  [ Sandro Knauß ]
  * Enable dh_qmldeps for QML module.
  * Add qml6-module-qtpositioning to dev package for QML dependency
    detection.

 -- Patrick Franz <deltaone@debian.org>  Sat, 02 Nov 2024 00:48:11 +0100

qt6-positioning (6.7.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 01:54:23 +0200

qt6-positioning (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Update ABI to 6.7.2.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Aug 2024 10:09:23 +0200

=== debian/control ===
Source: qt6-positioning
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               dh-sequence-qmldeps,
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkgconf,
               pkg-kde-tools,
               qt6-base-dev (>= 6.7.2+dfsg~),
               qt6-base-private-dev (>= 6.7.2+dfsg~),
               qt6-declarative-dev (>= 6.7.2+dfsg~),
               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
               qt6-serialport-dev (>= 6.7.2~),
               qt6-svg-dev (>= 6.7.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
Standards-Version: 4.7.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-positioning
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-positioning.git
Rules-Requires-Root: no

Package: libqt6positioning6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Provides: qt6-positioning-private-abi (= 6.7.2),
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Positioning library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Positioning library.

Package: libqt6positioningquick6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Positioning library - Qt Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contain the Qt Quick interface for the Qt 6 Positioning library.

Package: libqt6positioning6-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt6positioning6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Positioning module - position plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Positioning plugins.

Package: qml6-module-qtpositioning
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt6positioning6-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${qml6:Depends},
Description: Qt 6 Positioning QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Positioning QML plugin for Qt Declarative.

Package: qt6-positioning-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6positioning6 (= ${binary:Version}),
         libqt6positioning6-plugins (= ${binary:Version}),
         libqt6positioningquick6 (= ${binary:Version}),
         qml6-module-qtpositioning (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends},
Description: Qt 6 Positioning - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt 6 Positioning library.

Package: qt6-positioning-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qt6-positioning-dev (= ${binary:Version}), ${misc:Depends},
Description: Qt 6 Positioning - private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files used for
 building Qt 6 applications using Qt 6 Positioning library.
 .
 Use at your own risk.

Package: qt6-positioning-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Description: Qt 6 Positioning documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for Qt 6 Positioning.

Package: qt6-positioning-doc-html
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Description: Qt 6 Positioning HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for Qt 6 Positioning.

Package: qt6-positioning-doc-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: qt6-base-doc-dev, ${misc:Depends},
Description: Qt 6 Positioning tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the Qt Positioning
 documentation.

Package: qt6-positioning-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Positioning examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt Positioning submodule.

## qt6-positioning 6.8.0

=== debian/changelog ===
qt6-positioning (6.8.0-0deepin) unstable; urgency=medium

  * New upstream release (6.8.0).

 -- lichenggang <lichenggang@deepin.org>  Sat, 26 Oct 2024 23:33:50 +0800

qt6-positioning (6.6.1-1deepin0) experimental; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 20 Sep 2024 12:16:55 +0800

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,25 @@
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
-               dh-sequence-qmldeps,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkgconf,
+               pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
-               qt6-serialport-dev (>= 6.7.2~),
-               qt6-svg-dev (>= 6.7.2~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
+               qt6-serialport-dev (>= 6.8.0~),
+               qt6-svg-dev (>= 6.8.0~),
+               rapidjson-dev (>= 1.1.0),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
-Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
-Standards-Version: 4.7.0
+Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-positioning
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-positioning.git
@@ -33,7 +33,6 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Provides: qt6-positioning-private-abi (= 6.7.2),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Positioning library
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -72,7 +71,6 @@
 Depends: libqt6positioning6-plugins (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-         ${qml6:Depends},
 Description: Qt 6 Positioning QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -86,7 +84,6 @@
 Depends: libqt6positioning6 (= ${binary:Version}),
          libqt6positioning6-plugins (= ${binary:Version}),
          libqt6positioningquick6 (= ${binary:Version}),
-         qml6-module-qtpositioning (= ${binary:Version}),
          qt6-base-dev,
          qt6-declarative-dev,
          ${misc:Depends},
@@ -96,20 +93,6 @@
  .
  This package contains the header development files used for building Qt 6
  applications using Qt 6 Positioning library.
-
-Package: qt6-positioning-private-dev
-Architecture: any
-Multi-Arch: same
-Section: libdevel
-Depends: qt6-positioning-dev (= ${binary:Version}), ${misc:Depends},
-Description: Qt 6 Positioning - private development files
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the private header development files used for
- building Qt 6 applications using Qt 6 Positioning library.
- .
- Use at your own risk.
 
 Package: qt6-positioning-doc
 Architecture: all

## qt6-positioning 6.8.1

=== debian/changelog ===
qt6-positioning (6.8.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:54:13 -0600

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,30 @@
 Source: qt6-positioning
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-qmldeps,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
-               qt6-serialport-dev (>= 6.8.0~),
-               qt6-svg-dev (>= 6.8.0~),
-               rapidjson-dev (>= 1.1.0),
+               pkgconf,
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-base-private-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
+               qt6-serialport-dev (>= 6.8.1~),
+               qt6-svg-dev (>= 6.8.1~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-positioning
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-positioning.git
@@ -33,6 +34,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
+Provides: qt6-positioning-private-abi (= 6.8.1),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Positioning library
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -70,6 +72,7 @@
 Pre-Depends: ${misc:Pre-Depends},
 Depends: libqt6positioning6-plugins (= ${binary:Version}),
          ${misc:Depends},
+         ${qml6:Depends},
          ${shlibs:Depends},
 Description: Qt 6 Positioning QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -84,6 +87,7 @@
 Depends: libqt6positioning6 (= ${binary:Version}),
          libqt6positioning6-plugins (= ${binary:Version}),
          libqt6positioningquick6 (= ${binary:Version}),
+         qml6-module-qtpositioning (= ${binary:Version}),
          qt6-base-dev,
          qt6-declarative-dev,
          ${misc:Depends},
@@ -93,6 +97,20 @@
  .
  This package contains the header development files used for building Qt 6
  applications using Qt 6 Positioning library.
+
+Package: qt6-positioning-private-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends: qt6-positioning-dev (= ${binary:Version}), ${misc:Depends},
+Description: Qt 6 Positioning - private development files
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the private header development files used for
+ building Qt 6 applications using Qt 6 Positioning library.
+ .
+ Use at your own risk.
 
 Package: qt6-positioning-doc
 Architecture: all

## qt6-positioning 6.8.2

=== tests/auto/positionplugintest/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from positionplugintest.pro.

#####################################################################
## tst_positionplugin Test:
#####################################################################

qt_internal_add_test(tst_positionplugin
    SOURCES
        tst_positionplugin.cpp
    LIBRARIES
        Qt::Core
        Qt::Positioning
)

add_dependencies(tst_positionplugin QGeoPositionInfoSourceFactoryTestPlugin)
if(ANDROID)
    set_target_properties(tst_positionplugin PROPERTIES
        QT_ANDROID_EXTRA_PLUGINS "$<TARGET_FILE_DIR:QGeoPositionInfoSourceFactoryTestPlugin>"
    )
endif()

#### Keys ignored in scope 1:.:.:positionplugintest.pro:<TRUE>:
# TEMPLATE = "app"

=== debian/changelog ===
qt6-positioning (6.8.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 12:54:25 +0100

qt6-positioning (6.8.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Tue, 11 Feb 2025 18:57:41 +0100

qt6-positioning (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update ABI to 6.8.2.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 08 Feb 2025 17:49:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qt6-positioning
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -11,14 +10,14 @@
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
+               pkgconf,
                pkg-kde-tools,
-               pkgconf,
-               qt6-base-dev (>= 6.8.1+dfsg~),
-               qt6-base-private-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
-               qt6-serialport-dev (>= 6.8.1~),
-               qt6-svg-dev (>= 6.8.1~),
+               qt6-base-dev (>= 6.8.2+dfsg~),
+               qt6-base-private-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
+               qt6-serialport-dev (>= 6.8.2~),
+               qt6-svg-dev (>= 6.8.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
@@ -34,7 +33,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Provides: qt6-positioning-private-abi (= 6.8.1),
+Provides: qt6-positioning-private-abi (= 6.8.2),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Positioning library
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -72,8 +71,8 @@
 Pre-Depends: ${misc:Pre-Depends},
 Depends: libqt6positioning6-plugins (= ${binary:Version}),
          ${misc:Depends},
+         ${shlibs:Depends},
          ${qml6:Depends},
-         ${shlibs:Depends},
 Description: Qt 6 Positioning QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

=== debian/watch ===
version=4
https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/qtpositioning-everywhere-src-(.*)\.tar\.xz

## qt6-positioning 6.8.3

=== tests/auto/qnmeasatelliteinfosource/generic_simulation/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# special case begin
qt_internal_add_test(tst_nmeasatelliteinfosource_generic_sim
    SOURCES
        ../../qgeosatelliteinfosource/testqgeosatelliteinfosource.cpp ../../qgeosatelliteinfosource/testqgeosatelliteinfosource_p.h
        ../../utils/qlocationtestutils.cpp ../../utils/qlocationtestutils_p.h
        ../../utils/qnmeaproxyfactory.cpp ../../utils/qnmeaproxyfactory.h
        tst_nmeasatelliteinfosource_generic_sim.cpp
    INCLUDE_DIRECTORIES
        ..
    LIBRARIES
        Qt::Core
        Qt::Network
        Qt::Positioning
        Qt::TestPrivate
)
# special case end

=== debian/changelog ===
qt6-positioning (6.8.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 27 Mar 2025 22:25:37 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt6-positioning
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -12,12 +13,12 @@
                ninja-build,
                pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.2+dfsg~),
-               qt6-base-private-dev (>= 6.8.2+dfsg~),
-               qt6-declarative-dev (>= 6.8.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
-               qt6-serialport-dev (>= 6.8.2~),
-               qt6-svg-dev (>= 6.8.2~),
+               qt6-base-dev (>= 6.8.3+dfsg~),
+               qt6-base-private-dev (>= 6.8.3+dfsg~),
+               qt6-declarative-dev (>= 6.8.3+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.3+dfsg~),
+               qt6-serialport-dev (>= 6.8.3~),
+               qt6-svg-dev (>= 6.8.3~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
@@ -33,7 +34,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Provides: qt6-positioning-private-abi (= 6.8.2),
+Provides: qt6-positioning-private-abi (= 6.8.3),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Positioning library
  Qt is a cross-platform C++ application framework. Qt's primary feature

## qt6-positioning 6.9.1

=== debian/changelog ===
qt6-positioning (6.9.1-0zneon+24.04+noble+stable+build27) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 09 Jul 2025 13:45:18 +0000

qt6-positioning (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Wed, 09 Jul 2025 22:58:17 +1000

qt6-positioning (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sun, 20 Apr 2025 19:07:42 +1000

qt6-positioning (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 23:21:48 +1000

qt6-positioning (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 06:38:00 +1000

qt6-positioning (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 07 Dec 2024 15:47:42 +1000

qt6-positioning (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 25 Jul 2024 23:35:20 +1000

qt6-positioning (6.7.0-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 17 Feb 2024 00:50:48 +1000

qt6-positioning (6.6.1-0neon) jammy; urgency=medium

  [ Patrick Franz ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 09 Dec 2023 15:25:07 +1000

qt6-positioning (6.5.2-0neon) UNRELEASED; urgency=medium

  * New release

 -- Patrick Franz <deltaone@debian.org>  Mon, 03 Apr 2023 16:58:30 +0100

qt6-positioning (6.4.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.
  * Update symbols from buildlogs.
  * Enable link time optimization.

 -- Patrick Franz <deltaone@debian.org>  Wed, 16 Nov 2022 07:08:41 +0100

=== debian/control ===
Source: qt6-positioning
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libdconf-dev,
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.9.1~),
               qt6-declarative-dev (>= 6.9.1~),
               qt6-serialport-dev (>= 6.9.1~),
               qt6-svg-dev (>= 6.9.1~),
               rapidjson-dev (>= 1.1.0),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-base-doc (>= 6.9~) <!nodoc>,
                     qt6-documentation-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-positioning.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-positioning
Maintainer: Neon CI <neon@kde.org>

Package: qt6-positioning
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt6positioning6, libqt6positioningquick6, qml6-module-positioning
Description: Qt 6 Positioning library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Positioning library.

Package: qt6-positioning-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: qt6-base-dev,
         qt6-declarative-dev,
         qt6-positioning (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-positioning-doc-dev, qt6-positioning-examples
Description: Qt 6 Positioning - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt 6 Positioning library.

Package: qt6-positioning-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Depends: qt6-base-doc, qt6-positioning-dev, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-positioning-doc-html
Description: Qt 6 Positioning - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation files used to help build Qt 6
 applications using Qt 6 Positioning library.

Package: libqt6positioning6
Architecture: all
Depends: qt6-positioning, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6positioning6-plugins
Architecture: all
Depends: qt6-positioning, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6positioningquick6
Architecture: all
Depends: qt6-positioning, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtpositioning
Architecture: all
Depends: qt6-positioning, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-positioning-doc-dev
Architecture: all
Depends: qt6-positioning-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-positioning-doc-html
Architecture: all
Depends: qt6-positioning-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-positioning-examples
Architecture: all
Depends: qt6-positioning-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += -DQT_HOST_PATH=/usr
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
		-DQT_UNITY_BUILD=ON \
		$(extra_cmake_args) \
		-DQT_NO_PACKAGE_VERSION_CHECK=TRUE

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
                sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl
